
Figure - Bug #113362
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】长按控制中心的位置信息，进入设置页面，切换到设置其他页面后，位置信息的开
关按钮仍保留在页面上
2022-10-31 14:41 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-31

Priority: Normal Due date: 2022-11-02

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211050252

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、下划打开控制中心

2、长按位置信息进入相应设置界面

3、点击左侧任意一级列表选项

4、观察页面显示

【预期结果】

4、正常显示切换过去的页面

【实际结果】

4、位置信息的开关按钮仍保留在切换后的页面上

【复现率】

必现

PS:系统-语言与输入法-拼写检查工具页面也有同样的问题

History

#1 - 2022-11-02 18:00 - CD AF-陈羽杰

- Due date set to 2022-11-02

- Status changed from New to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

本地已修复验证
■ My analysis

页面切换时，部分页面未隐藏顶部switchBar

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159687

#2 - 2022-11-03 14:34 - CD TEST-方永红

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD AF-陈羽杰

11.3 位置信息开关条直接消失，验证失败

#3 - 2022-11-04 09:45 - CD AF-陈羽杰

- Status changed from VERIFY_FAILED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

■ Current conclusion

本地已修复验证

■ My analysis

页面切换时，部分页面未隐藏顶部switchBar，上一笔由于本地验证出现问题，导致代码未及时验证，出现verifyFailed的

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159955

#4 - 2022-11-07 11:36 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211050252

11.7 验证通过

#5 - 2022-11-07 11:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159687 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix main switch status exception1.Fragment popback causes main switchBar status exceptionTC-RID: 1201-0201813IssueID:

TS-R-BUG-113362Change-Id: Ifedea65254d0e93f00eb4044ead00420931f5501

#7 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159687
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159955


ID Project Branch Uploader

159955 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix MainSwitchBar display Bug1.Fix location SwitchBar display Bug2.Fix spellcheck SwitchBar display Bug3.Fix wifiTether SwitchBar display

Bug4.Remove HomepageActivity Control of SwitchBarTC-RID: 1201-0201813IssueID: TS-R-BUG-113362Change-Id:

I62a700cb3e8587a43a479b3de9c33a7ff5e49799
